/*
 * for DESYNC, ported to tinyos-1.x. To be used with iMote2 
 *
 * @author Dujdow
 * @date   09/03/12
 */

#ifndef DESYNCSWITCH_H
#define DESYNCSWITCH_H

enum {
  AM_DESYNC_REPORT = 4,
  AM_DESYNC_HANDLE = 2,
};


typedef struct desyncReport {
   uint8_t nodeID; 
   uint8_t FireSeqNo;
   uint8_t noNode;
   uint8_t SwitchStatus;
}  __attribute((packed)) desyncReport_t;


typedef struct desyncHandle {
 uint8_t sourceNodeID; 
 uint8_t type;
} __attribute((packed)) desyncHandle_t;

#endif
